Skip to content

Unified Catalog Entity Type Deletion



POST /api/v1/unified_catalog/entity_type_cfg/delete

Overview

Delete a custom entity type in the unified catalog.

Body Request Parameters

Parameter Name Type Required Description
entityTypeUUID string Y Entity Type UUID
Allow Empty: False

Parameter Supplementary Description

Request Parameter Description

Parameter Name type Required Description
entityTypeUUID string Yes Target entity type UUID

Call Notes

  • Only custom types can be deleted. Default types are not supported for deletion.
  • If entities still exist under this entity type, the API will return a deletion failure.

Request Example

curl 'https://openapi.truewatch.com/api/v1/unified_catalog/entity_type_cfg/delete' \
-H 'DF-API-KEY: <DF-API-KEY>' \
-H 'Content-Type: application/json;charset=UTF-8' \
--data-raw '{"entityTypeUUID":"cate_xxxx"}'

Response

{
    "code": 200,
    "content": true,
    "errorCode": "",
    "message": "",
    "success": true,
    "traceId": "TRACE-XXXX"
}